Package net.shibboleth.shared.security

# Interface AccessControl

All Known Implementing Classes:
  `IPRangeAccessControl`

public interface AccessControl
A policy that evaluates a `ServletRequest` and determines whether access to a named resource should be granted.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkAccess(ServletRequest request, String operation, String resource)`
Determine whether the request to the resource should be granted.

## Method Details

### checkAccess

boolean checkAccess(@Nonnull ServletRequest request, @Nullable String operation, @Nullable String resource)
Determine whether the request to the resource should be granted.

Parameters:
  `request` - request to check
  `operation` - operation being performed
  `resource` - target resource
Returns:
  true iff access should be granted